module.exports = {
  extends: [
    "plugin:@typescript-eslint/recommended"
  ],
  parser: "@typescript-eslint/parser",
  plugins: ["@typescript-eslint", "no-relative-import-paths"],
  rules: {
    "max-len": ["error", {
      "code": 120,
      "ignoreComments": true,
      "ignoreStrings": true,
      "ignoreTemplateLiterals": true,
    }],
    "no-unused-vars": 0, // needs to be off to work with @typescript-eslint/no-unused-vars
    "@typescript-eslint/explicit-function-return-type": 0, // disabled for JS/JSX files
    "@typescript-eslint/member-delimiter-style": 0, // disabled for prettier-config compatibility
    "@typescript-eslint/no-extra-semi": 0, // disabled for prettier-config compatibility
    "@typescript-eslint/no-unused-vars": [
      "error",
      { argsIgnorePattern: "^_", varsIgnorePattern: "^_" }, // Allow unused variables and args that start with `_`, otherwise error
    ],
    "no-relative-import-paths/no-relative-import-paths": [
      "error",
      { "allowSameFolder": true, "rootDir": "src" }
    ],
  },
};
