module.exports = {
  extends: [
    require.resolve('./base'),
    "plugin:import/errors",
    "plugin:import/warnings",
    "plugin:import/typescript"
  ],
  rules: {
    "import/prefer-default-export": 0,
  },
  overrides: [
    {
      "files": ["*.spec.*", "*.test.*", "setupTests.*"],
      "rules": {
        "import/no-extraneous-dependencies": [
          "error",
          {
            "devDependencies": true
          }
        ]
      }
    },
    {
      "files": ["*.ts", "*.tsx"],
      "rules": {
        "no-undef": 0,  // is handled by tsc
        "@typescript-eslint/explicit-function-return-type": [
          "warn",
          {
            "allowExpressions": true
          }
        ]
      }
    },
    {
      "files": ["*.json"],
      "rules": {
        "no-unused-expressions": 0
      }
    }
  ]
};
